github_trending 0.2.0

Dart native js
Flutter Android iOS web

A library to get GitHub trending repositories and developers, with languages and period options.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  github_trending: ^0.2.0

2. Install it

You can install packages from the command line:

with pub:

$ pub get

with Flutter:

$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:github_trending/github_trending.dart';
1
likes
90
pub points
57%
popularity

A library to get GitHub trending repositories and developers, with languages and period options.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

pd4d10@gmail.com

License

MIT (LICENSE)

Dependencies

http, json_annotation

More

Packages that depend on github_trending